<xml></xml>

Collapse AllExpand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DatabaseFeedbackDelegate Delegate
See Also Send Feedback

The application-specified feedback function called to report Berkeley DB operation progress.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public delegate void DatabaseFeedbackDelegate(
    	DatabaseFeedbackEvent opcode,
    	int percent
    )

Visual Basic (Declaration)

    Public Delegate Sub DatabaseFeedbackDelegate ( _
    	opcode As DatabaseFeedbackEvent, _
    	percent As Integer _
    )

Visual C++

    public delegate void DatabaseFeedbackDelegate(
    	DatabaseFeedbackEvent opcode,
    	int percent
    )

#### Parameters

opcode
  Type: BerkeleyDB..::.DatabaseFeedbackEvent
  An operation code specifying the Berkley DB operation

percent
  Type: System..::.Int32
  The percent of the operation that has been completed, specified as an integer value between 0 and 100.

# See Also

BerkeleyDB Namespace